import Vue from 'vue'
import App from './App'
import apis from './configs/http';
import store from './store';
import env from '@/configs/env';
import mainStatistics from '@/pages/Charts/mainStatistics';



Vue.config.productionTip = !!env.isProduction;

App.mpType = 'app'

// Vue.prototype.serverurl="http://127.0.0.1:8090";
Vue.prototype.serverurl="https://app.sunzee.com.cn/ShenzeeServer";

Vue.prototype.$store = store;

const app = new Vue({
	store,
	...App,
});
app.$mount();

Object.keys(apis).forEach(key => {
	Vue.prototype[`$${key}`] = apis[key];
});

Vue.component('mainStatistics', mainStatistics);